#include <TinyWireM.h>
#include <Tiny4kOLED.h>

#define pwmPin  3
#define enPin   4

#define buttonPin1 10
#define buttonPin2 7
#define buttonPin3 5

void prepareDisplay() {
  oled.clear();
  oled.begin();
  oled.setFont(FONT6X8);
}

void setup() {
  oled.begin(128, 64, sizeof(tiny4koled_init_128x64br), tiny4koled_init_128x64br);
  oled.clear();
  oled.on();
  prepareDisplay();
  oled.setFont(FONT6X8);
  pinMode(buttonPin1, INPUT);
  pinMode(buttonPin2, INPUT);
  pinMode(buttonPin3, INPUT);
}

void loop() {
  if (digitalRead(buttonPin1)==HIGH) {
    oled.setCursor(0, 0);
    oled.print("Button 1");
    }
  else if (digitalRead(buttonPin2)==HIGH) {
    oled.setCursor(0, 0);
    oled.print("Button 2");
  }
  else if (digitalRead(buttonPin3)==HIGH) {
    oled.setCursor(0, 0);
    oled.print("Button 3");
  }
  else if (digitalRead(buttonPin1)==LOW && digitalRead(buttonPin2)==LOW && digitalRead(buttonPin3)==LOW) {
    oled.setCursor(0, 0);
    oled.print("OFF     ");
    }
}

